package com.ruoyi.invest.mapper;

import com.ruoyi.invest.domain.TProjectApproval;
import com.ruoyi.invest.domain.vo.ProjectApprovalVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目池Mapper接口
 * 
 * @author ruoyi
 * @date 2024-02-21
 */
public interface ApprovalMapper {
    /*所有项目立项流程*/
    List<ProjectApprovalVo> selectAllApprovalList(@Param("projectApproval")TProjectApproval tProjectApproval);

    /*待办任务*/
    List<ProjectApprovalVo> getMyTaskList(@Param("userId") String userId,@Param("projectApproval")TProjectApproval tProjectApproval);
    /*已办任务*/
    List<ProjectApprovalVo> getMyDoneTaskList(@Param("userId") String userId, @Param("projectApproval")TProjectApproval tProjectApproval);
    /*我的单据*/
    List<ProjectApprovalVo> getMyList(@Param("userId") String userId, @Param("projectApproval")TProjectApproval tProjectApproval);
    /*详情*/
    public TProjectApproval selectTProjectApprovalByProcInstId(String ProcInstId);
    public ProjectApprovalVo selectProjectApprovalByProcInstId(String ProcInstId);


}
